Async Job - Request Securities with the Organization issuer

This endpoint provides the entire universe of Clarity AI securities and provides a mapping of Clarity AI securities between different identifiers.

You can request the mapping by providing a list of PermIds in the permIds parameter or by providing a list of ISINs or CUSIPs in the securityIds parameter, but you CANNOT SPECIFY BOTH permIds and securityIds.

If requesting CUSIPs via securityIds the securityIdsType needs to be set to “CUSIP”.

Leaving securityIds and permIds blank will return the whole Clarity AI universe.

The idColumns allows you to specify a list of security ID types that will be included in the response CSV. Only the securities that have an identifier type matching idColumns will be returned. If you want to retrieve all the securities, you can set idColumns to "ALL" and no securities will be filtered out.
Take into account that when using the "ALL" parameter whenever a new security identifier type is available in the Clarity AI platform it will be included in the CSV response.

The securityTypes parameter allows you to specify which type of securities will be returned: “EQUITY”, “FIXED_INCOME”, or “FUND”. You can specify multiple to receive multiple types or level blank to receive all available securities types.

The additionalOrganizationColumns allows you to specify a list of additional organization columns. At the moment only ORGNAME and ORGCOUNTRY are supported.

The limitResults parameters allows you to limit the number of ISINS returned for each organization.

Please note: This endpoint returns only the identifier (UUID) for the created job. You'll need this UUID value to retrieve the status of your job (see Async Job - Get job status) or to download your file when ready (see Async Job - Download result file). See Async API documentation for a complete explanation of the flow for these async jobs endpoints.

Body Params
securityIds
array of strings

List of security ids to retrieve. Use the securityIdsType field to specify the provided identifier types, if empty ISIN will be assumed.

securityIds
string | null
enum
Defaults to ISIN

Defines the security identifier type used in the securityIds parameter.

Allowed:
permIds
array of strings

List of organization ids (PermId) to retrieve

permIds
idColumns
array of strings
Defaults to ISIN

Specifies a list of security ID types that will be included in the header of the CSV response.
The securities that do not have any identifier type matching with the headers will be filtered out of the response.
With the value ALL no securities will be filtered out.

idColumns
int32 | null
≥ 1

Limit the number of securities per organization

securityTypes
array of strings

Limit the result to securities of type belonging to securityTypes

securityTypes
additionalOrganizationColumns
array of strings
Defaults to

Additional organization columns to return in the response

additionalOrganizationColumns
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json